Bug 250913 - editors/gummi: resurrect and update to 0.8.1
Summary: editors/gummi: resurrect and update to 0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-06 21:22 UTC by Zoltan ALEXANDERSON BESSE
Modified: 2021-05-25 06:10 UTC (History)
2 users (show)

See Also:


Attachments
new port dir for 0.8.1 (1.15 KB, application/x-compressed-tar)
2020-11-06 21:22 UTC, Zoltan ALEXANDERSON BESSE
no flags Details
Updated port (3.30 KB, text/plain)
2020-11-07 09:23 UTC, Li-Wen Hsu
no flags Details
updated port (rev1 - poudriere checked) (2.67 KB, patch)
2020-11-09 01:07 UTC, Zoltan ALEXANDERSON BESSE
no flags Details | Diff
screenshot (192.30 KB, image/jpeg)
2021-05-25 03:58 UTC, Guangyuan Yang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan ALEXANDERSON BESSE 2020-11-06 21:22:38 UTC
Created attachment 219404 [details]
new port dir for 0.8.1

The port editors/gummi (0.6.5) became deprecated due to its un-usability.
That was some years ago (2014-07-01).

I would like to resurrect this port with a major version update.

Typesetters:
- used to be TETEX, LATEXMK options moved to texlive. (required)
- RUBBER remains as an option (also depends on texlive)

/files/: not needed any more
Project new home fixed on MASTER_SITES and pkg-descr.

make install: works well with/without options

usability: edits tex file well and outputs just fine
Comment 1 Li-Wen Hsu freebsd_committer 2020-11-07 02:09:51 UTC
The MAINTAINER field is still listing the original maintainer, for resurrecting port, it's better to have a new maintainer unless having approval from the original one.  Do you want to be the maintainer of this port?
Comment 2 Zoltan ALEXANDERSON BESSE 2020-11-07 05:36:45 UTC
(In reply to Li-Wen Hsu from comment #1)

Yes, I can keep on eye on this port.
Shall I send an updated attachment tgz with the modified MAINTAINER in Makefile?
Comment 3 Li-Wen Hsu freebsd_committer 2020-11-07 09:23:45 UTC
Created attachment 219423 [details]
Updated port
Comment 4 Li-Wen Hsu freebsd_committer 2020-11-07 09:24:40 UTC
(In reply to zab from comment #2)
I've done some fixes to the port, put you to the MAINTAINER field, please check and test it.  Thanks!
Comment 5 Zoltan ALEXANDERSON BESSE 2020-11-09 01:07:26 UTC
(In reply to Li-Wen Hsu from comment #4)

Poudriere drew attention to missing dependencies on options RUBBER and TEXCOUNT, so I removed them.
(Options can be added back if textproc/p5-texcount and textproc/rubber resurrect some day - might be a separate project of the future)
Poudriere also gave warnings about missing USES, USE_GNOME and LIB_DEPENDS values, I added 'em all.

Function/usage test: OK
Comment 6 Zoltan ALEXANDERSON BESSE 2020-11-09 01:07:38 UTC
Created attachment 219477 [details]
updated port (rev1 - poudriere checked)
Comment 7 Guangyuan Yang freebsd_committer 2021-05-25 03:58:10 UTC
Created attachment 225243 [details]
screenshot
Comment 8 Guangyuan Yang freebsd_committer 2021-05-25 03:59:15 UTC
The port looks good to me, builds fine, and I did a quick check that it runs fine on my 13.0-RELEASE desktop. The only nit that I changed is s/LaTex/LateX.
Comment 9 Guangyuan Yang freebsd_committer 2021-05-25 03:59:40 UTC
(In reply to Guangyuan Yang from comment #8)

I meant s/LaTex/LaTeX XD
Comment 10 commit-hook freebsd_committer 2021-05-25 06:07:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=68873da4ea002c01d81ca6a48b6173ff40123279

commit 68873da4ea002c01d81ca6a48b6173ff40123279
Author:     Zoltan ALEXANDERSON BESSE <zab@zltech.eu>
AuthorDate: 2021-05-25 05:59:43 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-05-25 06:06:50 +0000

    editors/gummi: Reintroduce port and update to 0.8.1

    - Update entry in MOVED

    PR:             250913
    Approved by:    lwhsu (mentor)

 MOVED                         |  1 -
 editors/Makefile              |  1 +
 editors/gummi/Makefile (new)  | 33 +++++++++++++++++++++++++++++++++
 editors/gummi/distinfo (new)  |  3 +++
 editors/gummi/pkg-descr (new) |  3 +++
 editors/gummi/pkg-plist (new) | 32 ++++++++++++++++++++++++++++++++
 6 files changed, 72 insertions(+), 1 deletion(-)
Comment 11 Guangyuan Yang freebsd_committer 2021-05-25 06:10:00 UTC
Committed, thank you!